Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.mail.inflow
Class MailActivation

    java.lang.Object
      org.jboss.resource.adapter.mail.inflow.MailActivation

All Implemented Interfaces:
  Comparable, Runnable, javax.resource.spi.work.Work

public class MailActivation
extends Object
implements Comparable, javax.resource.spi.work.Work

The MailActivation encapsulates a MailResourceAdapter#endpointActivation `ResourceAdapter.endpointActivation(MessageEndpointFactory,javax.resource.spi.ActivationSpec)`

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Field Summary
`protected javax.resource.spi.endpoint.MessageEndpointFactory` | `endpointFactory` The message endpoint factory
`static Method` | `ON_MESSAGE` The MailListener.onMessage method
`protected MailResourceAdapter` | `ra` The resource adapter
`protected MailActivationSpec` | `spec` The activation spec for the mail folder

Constructor Summary
`MailActivation(MailResourceAdapter ra, javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, MailActivationSpec spec)`

Method Summary
`int` | `compareTo(Object obj)`
`long` | `getNextNewMsgCheckTime()`
`boolean` | `isReleased()`
`void` | `release()`
`void` | `run()`
`void` | `updateNextNewMsgCheckTime(long now)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ON_MESSAGE

    public static final Method ON_MESSAGE

  The MailListener.onMessage method

### ra

    protected MailResourceAdapter ra

  The resource adapter

### spec

    protected MailActivationSpec spec

  The activation spec for the mail folder

### endpointFactory

    protected javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory

  The message endpoint factory

Constructor Detail

### MailActivation

    public MailActivation(MailResourceAdapter ra,
                          javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                          MailActivationSpec spec)

Method Detail

### getNextNewMsgCheckTime

    public long getNextNewMsgCheckTime()

### updateNextNewMsgCheckTime

    public void updateNextNewMsgCheckTime(long now)

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### isReleased

    public boolean isReleased()

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.